#include "colors.inc"
#include "textures.inc"
#include "stones.inc"
#include "woods.inc"

#declare board = array[7][7]
{
{8, 8, 0, 0, 0, 8, 8},
{8, 8, 1, 0, 1, 8, 8},
{0, 1, 0, 1, 0, 1, 0},
{1, 0, 0, 1, 0, 0, 1},
{1, 0, 0, 1, 0, 0, 1},
{8, 8, 0, 1, 0, 8, 8},
{8, 8, 1, 1, 1, 8, 8}
}
			

camera {
        location <4, 9, 12>
        sky <0,-1,0>
        look_at <4, 3, 0>
}

light_source { <50, 50, 85> colour White }

background { color White }

difference {
        box { <0, 0, 1.5>, <8, 8, 2> }

        #declare xp = 0;
        #while(xp < 7 )
                #declare yp = 0;
                #while(yp < 7 )
                        #if (board[yp][xp] != 8)
                                #declare p = <xp + 1, yp + 1, 2>;
                                cylinder { p + -10 * z, p + 10 * z, 0.2 }
                        #end
                        #declare yp = yp + 1;
                #end
                #declare xp = xp + 1;
        #end

        texture { T_Wood1 scale 10 rotate <90,0,30> }
}

#declare xp = 0;
#while(xp < 7 )
        #declare yp = 0;
        #while(yp < 7 )
                #if (board[yp][xp] = 1)
                        #declare p = <xp + 1, yp + 1, 2.2>;
                        sphere { p, 0.3 texture { Ruby_Glass } }
                #end
                #declare yp = yp + 1;
        #end
        #declare xp = xp + 1;
#end
